Subject: bug#503 closed by [email-masked] (#503: fixed in src:iwd version 1.8-1+devuan1)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Sun, 09 Aug 2020 02:33:09 +0000

This is an automatic notification regarding your bug report
which was filed against the iwd package:

#503: Let's fork iwd for Devuan

It has been closed by [email-masked].

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact [email-masked] by
replying to this email.

-- 
503: https://bugs.devuan.org/cgi/bugreport.cgi?bug=503
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: #503: fixed in src:iwd version 1.8-1+devuan1
From: [email-masked]
To: [email-masked]
Date: Sun, 09 Aug 2020 01:25:24 +0000

Version: 1.8-1+devuan1

Source package iwd (1.8-1+devuan1) added to Devuan suite unstable.

This closes bug report 503.

Thanks

DAK managing the Devuan archive

Format: 1.8
Date: Wed, 05 Aug 2020 10:59:42 +0800
Source: iwd
Binary: iwd
Architecture: source
Version: 1.8-1+devuan1
Distribution: unstable
Urgency: medium
Maintainer: Job Bautista <[email-masked]>
Changed-By: Job Bautista <[email-masked]>
Description:
 iwd        - wireless daemon for Linux
Closes: 503
Changes:
 iwd (1.8-1+devuan1) unstable; urgency=medium
 .
   * Initial release built specifically for Devuan. (Closes: #503)
   * Disabled compilation of systemd service.
   * Added a sysvinit script for non-systemd users.
Checksums-Sha1:
 92404ac150c0c03111e34ac910d0bdc3f1a2e08b 1507 iwd_1.8-1+devuan1.dsc
 42f69f39704f306ada876c6fb990d7c874722f54 7608 iwd_1.8-1+devuan1.debian.tar.xz
 9e34da7316457cc6d0f452fed0e5f5f51a3ed10e 3011 iwd_1.8-1+devuan1_source.buildinfo
Checksums-Sha256:
 3b75601f8097e95a42e4eb64210f2c7154be14f1278d048d18f7a9c4adb922f5 1507 iwd_1.8-1+devuan1.dsc
 ce8232da0e06b6856b58895126eab349cad37de69a3ad61772e3693fe43f707f 7608 iwd_1.8-1+devuan1.debian.tar.xz
 cdb04fa3943aa40e078cbdee158c77bf5be7123922ba11582a156f110625c217 3011 iwd_1.8-1+devuan1_source.buildinfo
Files:
 1efcb46515f79ef2606758cdd7325d8b 1507 net optional iwd_1.8-1+devuan1.dsc
 cfa1782beaa12b0c947171c9c55f74e6 7608 net optional iwd_1.8-1+devuan1.debian.tar.xz
 ea970c8b0fa7dc5d1fe76a6e080fc7f0 3011 net optional iwd_1.8-1+devuan1_source.buildinfo

Subject: Let's fork iwd for Devuan
From: Job Bautista <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Wed, 05 Aug 2020 02:56:46 +0000

Package: iwd
Version: 1.8-1
Severity: grave
Tags: patch
Justification: renders package unusable

Dear Devuan developers,

I had tried all possible routes that would avoid having to fork iwd. I sent a
bug report to the Debian maintainer and asked them to support sysvinit. I
asked upstream to consider supporting multiple inits. Both of them failed.
The upstream made it final that they will only support systemd, and those who
wish to make iwd support sysvinit will have to be done by downstream. So I
would like to volunteer being the maintainer for a Devuan fork of iwd. I was
able to make iwd work in my Chimaera system, thanks to the kind members of
the dev1galaxy.org forum. The VCS of this fork will be located at
https://git.devuan.org/jobbautista9/iwd. As you can see, I already started
forking iwd. The only thing I haven't done yet is to update the changelog,
which I will do shortly after finishing this bug report.

The reason why this bug's severity is grave is because the current version of
this package doesn't start at boot. I could have used severity important if
it exists in Devuan BTS...

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 4 (chimaera/ceres)
Release:	testing/unstable
Codename:	n/a
Architecture: x86_64

Kernel: Linux 5.7.0-2-amd64 (SMP w/4 CPU threads)
Kernel taint flags: TAINT_FIRMWARE_WORKAROUND
Locale: LANG=en_PH.UTF-8, LC_CTYPE=en_PH.UTF-8 (charmap=UTF-8), LANGUAGE=en_PH:en
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages iwd depends on:
ii  libc6         2.31-2
ii  libreadline8  8.0-4

iwd recommends no packages.

iwd suggests no packages.

-- no debconf information